%global _extdir %{_libdir}/php/extensions

Summary:	SQL Relay modules for PHP
Summary(ko):	PHP SQL Relay 모듈
Name:		php-sqlrelay
Version:	0.64
Release:	1%{?dist}
Epoch:		1

Group:		Development/Languages
License:	GPLv2/LGPLv2 and Others
URL:		http://sqlrelay.sourceforge.net
Source0:	php-sqlrelay-0.64-php7.tar.bz2

BuildRequires:	php-devel rudiments-devel sqlrelay-client-devel-c++
Requires:	phpapi rudiments sqlrelay-client-runtime-c++

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)


%description
This extension is php extension for sqlrelay binding


%prep
%setup -q -n php-sqlrelay-0.64-php7


%build
%{__make}


%install
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%{__install} -d -m 755 %{buildroot}%{_extdir}
%{__install} -m 755 php/.libs/sqlrelay.so %{buildroot}%{_extdir}/
%{__install} -m 755 phppdo/.libs/pdo_sqlrelay.so %{buildroot}%{_extdir}/

%{__install} -d -m 755 %{buildroot}%{_sysconfdir}/php.d/{apache,cli,fpm}
%{__install} -m 644 sqlrelay.ini %{buildroot}%{_sysconfdir}/php.d/apache/
%{__install} -m 644 sqlrelay.ini %{buildroot}%{_sysconfdir}/php.d/cli/
%{__install} -m 644 sqlrelay.ini %{buildroot}%{_sysconfdir}/php.d/fpm/

%clean
[ "%{buildroot}" != "/" -a -d "%{buildroot}" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/php.d/apache/sqlrelay.ini
%config(noreplace) %{_sysconfdir}/php.d/cli/sqlrelay.ini
%config(noreplace) %{_sysconfdir}/php.d/fpm/sqlrelay.ini
%attr(755,root,root) %{_extdir}/*.so

%changelog
* Mon Jan 11 2016 JoungKyun.Kim <http://oops.org> 1:0.64-1%{?dist}
- migrate for PHP 7

